### Method

# Snapd Client install_themes_async

since: 1.60

#### Declaration [src]

    void
    snapd_client_install_themes_async (
      SnapdClient* client,
      GStrv gtk_theme_names,
      GStrv icon_theme_names,
      GStrv sound_theme_names,
      SnapdProgressCallback progress_callback,
      gpointer progress_callback_data,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously install snaps that provide the requested desktop themes. See `snapd_client_install_themes_sync()` for more information.

Available since: 1.60

This method completes asynchronously. Use `snapd_client_install_themes_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`gtk_theme_names`

  Type: An array of `utf8`

  A list of GTK theme names.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`icon_theme_names`

  Type: An array of `utf8`

  A list of icon theme names.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`sound_theme_names`

  Type: An array of `utf8`

  A list of sound theme names.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`progress_callback`

  Type: `SnapdProgressCallback`

  Function to callback with progress.

  The argument can be `NULL`.

`progress_callback_data`

  Type: `gpointer`

  User data to pass to `progress_callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.